## com.google.javascript.jscomp.graph
Interface GraphvizGraph

All Known Implementing Classes:
  LinkedDirectedGraph, LinkedUndirectedGraph

    public interface GraphvizGraph

A graph that can be dumped to a Graphviz DOT file.

An object which can be visualized as a graph should implement this interface. The `DotFormatter.toDot` function can be used to get a visualization of the object for debugging purpose.

Nested Class Summary
`static interface` | `GraphvizGraph.GraphvizEdge` A Graphviz edge.
`static interface` | `GraphvizGraph.GraphvizNode` A Graphviz node.

Method Summary
`List<GraphvizGraph.GraphvizEdge>` | `getGraphvizEdges()` Retrieve a list of edges in the graph.
`List<GraphvizGraph.GraphvizNode>` | `getGraphvizNodes()` Retrieve a list of nodes in the graph.
`String` | `getName()` Name of the graph.
`boolean` | `isDirected()` Graph type.

Method Detail

### getName

    String getName()

  Name of the graph.

  Returns:
    Name of the graph.

### isDirected

    boolean isDirected()

  Graph type.

  Returns:
    True if the graph is a directed graph.

### getGraphvizNodes

    List<GraphvizGraph.GraphvizNode> getGraphvizNodes()

  Retrieve a list of nodes in the graph.

  Returns:
    A list of nodes in the graph.

### getGraphvizEdges

    List<GraphvizGraph.GraphvizEdge> getGraphvizEdges()

  Retrieve a list of edges in the graph.

  Returns:
    A list of edges in the graph.